package com.saye.hrs.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.HashMap;
import java.util.List;

/**
 * (Office)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-16 08:46:32
 */
public interface OfficeMapper {

    HashMap<Object,Object> findOfficeById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findOfficeList(HashMap<Object,Object> map);

    int insertOffice(HashMap<Object,Object> map);

    int updateOffice(HashMap<Object,Object> map);
    
    int deleteOfficeById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findFirstStageOffice(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findSecondStageOffice(HashMap<Object, Object> map);
}

